import Vue from 'vue'
import Router from 'vue-router'
import ElementUI from 'element-ui'
import 'element-ui/lib/theme-chalk/index.css'
import classA from '@/components/pages/class'
import teacherOffice from '@/components/pages/teacherOffice'
import grade from '@/components/pages/grade'
import classGM from '@/components/pages/classGM'
import course from '@/components/pages/course'
import trainCourse from '@/components/pages/trainCourse/course'
import scourse from '@/components/pages/scourse'
import courseGM from '@/components/pages/courseGM'
import courseDetail from '@/components/pages/courseDetail'
import data from '@/components/pages/data'
import dataGM from '@/components/pages/dataGM'
import notice from '@/components/pages/notice'
import student from '@/components/pages/student'
import studentGM from '@/components/pages/studentGM'
import works from '@/components/pages/works'
import studentWorks from '@/components/pages/studentWorks'
import studentWorksDetail from '@/components/pages/components/studentWorksDetail'
import worksGM from '@/components/pages/worksGM'
import worksDetail from '@/components/pages/worksDetail'
import login from '@/components/login'
import ask from '@/components/pages/ask'
import addCourse from '@/components/pages/addCourse'
import addTrainCourse from '@/components/pages/trainCourse/addCourse'
import trainIndex from '@/components/pages/trainCourse/index'
import addCourseGM from '@/components/pages/addCourseGM'
import library from '@/components/pages/library'
import libraryGM from '@/components/pages/libraryGM'
import note from '@/components/pages/note'
import Grid from '@/components/pages/Grid'
import demo from '@/components/pages/demo'
import classRoom from '@/components/pages/classRoom'
import liveRoom from '@/components/pages/liveRoom'
import liveRoomKQ from '@/components/pages/liveRoomKQ'
import addPPt from '@/components/pages/addPPt'
import studyLibrary from '@/components/pages/studyLibrary'
import evaluation from '@/components/pages/evaluation'
import GridList from '@/components/pages/GridList'
import wordList from '@/components/pages/wordList'
import demoPdf from '@/components/pages/demoPdf'
import demoPdf2 from '@/components/pages/demoPdf2'
import audioDemo from '@/components/pages/audioDemo'
import Ttype from '@/components/pages/Ttype'
import TtypeGM from '@/components/pages/TtypeGM'
import Ttype2 from '@/components/pages/Ttype2'
import Ttype2S from '@/components/pages/Ttype2S'
import Ttype2Studio from '@/components/pages/Ttype2Studio'
import TtypeOrg from '@/components/pages/TtypeOrg'
import banner from '@/components/pages/banner'
import CaseDesign from '@/components/pages/CaseDesign'
import CaseDesignS from '@/components/pages/CaseDesignS'
import CaseDesignGM from '@/components/pages/CaseDesignGM'
import eventCenter from '@/components/pages/race/eventCenter'
import addRace from '@/components/pages/race/addRace'
import anliDetail from '@/components/pages/race/eventCenter/anliDetail'
import schoolGM from '@/components/pages/GM/school'
import teacherGM from '@/components/pages/GM/teacher'
import examineGM from '@/components/pages/GM/examine'
import noticeGM from '@/components/pages/GM/notice'
import studentCourse from '@/components/pages/student/course'
import studentCheckCourse from '@/components/pages/student/checkCourse'
import studentAddCourse from '@/components/pages/student/addCourse'
import courseProgress from '@/components/pages/student/courseProgress'
import tcData from '@/components/pages/tencent/data'
import tcSchool from '@/components/pages/tencent/school'
import tcStudent from '@/components/pages/tencent/student'
import tcTeacher from '@/components/pages/tencent/teacher'
import tcNotice from '@/components/pages/tencent/notice'
import studioCourse from '@/components/pages/studio/course'
import studioAddCourse from '@/components/pages/studio/addCourse'
import studioCourseProgress from '@/components/pages/studio/courseProgress'
import studioEvaluate from '@/components/pages/studio/studioEvaluate'
import studioEvaBasicData from '@/components/pages/studio/components/studioEvaBasicData'
import actLineChat from '@/components/pages/studio/components/actLineChat'
import actTypeTable from '@/components/pages/studio/components/actTypeTable'
import worksReport from '@/components/pages/worksReport'
import myReport from '@/components/pages/myReport/myReport'
import mrBasicData from '@/components/pages/myReport/components/mrBasicData'
import mrOverPer from '@/components/pages/myReport/components/mrOverPer'
import myCourseReport from '@/components/pages/myReport/components/myCourseReport'
import courseEvaScore from '@/components/pages/myReport/components/courseEvaScore'
import mrLearnStatus from '@/components/pages/myReport/components/mrLearnStatus'
import courseTypeAna from '@/components/pages/myReport/components/courseTypeAna'
import toolTypeAna from '@/components/pages/myReport/components/toolTypeAna'
import mrEva from '@/components/pages/myReport/components/mrEva'
import inviteLogin from '@/components/pages/inviteLogin/inviteLogin'
import stReport from '@/components/pages/components/stReport'
import classReport from '@/components/pages/components/classReport'
import courseReport from '@/components/pages/components/courseReport'
import evaReport from '@/components/pages/components/evaReport'
import learnAna from '@/components/pages/learnAnalysis/learnAna'
import modelReport from '@/components/pages/learnAnalysis/components/modelReport'
import lookModel from '@/components/pages/learnAnalysis/components/lookModel'
import teacherSource from '@/components/pages/teacherSource/index'
import addCourseE from '@/components/pages/easy/addCourse'
import addCourseT from '@/components/pages/task/addCourse'
import addTrainCourseE from '@/components/pages/trainCourse/easy/addCourse'
import dataBoard from '@/components/pages/dataBoard'
import dataBoardSies from '@/components/pages/dataBoardSies'
import dataBoardNew from '@/components/pages/dataBoardNew'
import dataBoardTest from '@/components/pages/dataBoardTest'
import addSynergyCourse from '@/components/pages/synergyCourse/addCourse'
import synergyCourse from '@/components/pages/synergyCourse/course'
import test from '@/components/pages/test/index'
import addTest from '@/components/pages/test/add/addTest'
import testStudent from '@/components/pages/testStudent/index'
import testPerson from '@/components/pages/testPerson/index'
import doTest from '@/components/pages/testStudent/view/preview'
import checkTest from '@/components/pages/testStudent/view/check'
import checkToTest from '@/components/pages/test/check'
import checkTest2 from '@/components/pages/test/check/check.vue'
import courseIndex from '@/components/pages/course/index'

// 全局修改默认配置，点击空白处不能关闭弹窗
ElementUI.Dialog.props.closeOnClickModal.default = false
Vue.use(Router).use(ElementUI)

export default new Router({
    routes: [{
            path: '/class',
            name: 'class',
            component: classA,
            meta: {
                requireAuth: ''
            }
        },
        {
            path: '/grade',
            name: 'grade',
            component: grade,
            meta: {
                requireAuth: ''
            }
        }, {
            path: '/teacherOffice',
            name: 'teacherOffice',
            component: teacherOffice,
            meta: {
                requireAuth: ''
            }
        },
        {
            path: '/classGM',
            name: 'classGM',
            component: classGM,
            meta: {
                requireAuth: ''
            }
        },
        // {
        //   path: '/',
        //   redirect: '/course',
        // },
        {
            path: '/course',
            component: course,
            meta: {
                requireAuth: '' // 是否需要判断是否登录,这里是需要判断
            }
        },
        {
            path: '/scourse',
            component: scourse,
            meta: {
                requireAuth: '' // 是否需要判断是否登录,这里是需要判断
            }
        },
        {
            path: '/studentCourse',
            component: studentCourse,
            meta: {
                requireAuth: '' // 是否需要判断是否登录,这里是需要判断
            }
        },
        {
            path: '/studentCheckCourse',
            component: studentCheckCourse,
            meta: {
                requireAuth: '' // 是否需要判断是否登录,这里是需要判断
            }
        },
        {
            path: '/studentAddCourse',
            component: studentAddCourse,
            meta: {
                requireAuth: '' // 是否需要判断是否登录,这里是需要判断
            }
        },
        {
            path: '/courseProgress',
            component: courseProgress,
            meta: {
                requireAuth: '' // 是否需要判断是否登录,这里是需要判断
            }
        },
        {
            path: '/studioCourse',
            component: studioCourse,
            meta: {
                requireAuth: '' // 是否需要判断是否登录,这里是需要判断
            }
        },
        {
            path: '/studioAddCourse',
            component: studioAddCourse,
            meta: {
                requireAuth: '' // 是否需要判断是否登录,这里是需要判断
            }
        },
        {
            path: '/studioCourseProgress',
            component: studioCourseProgress,
            meta: {
                requireAuth: '' // 是否需要判断是否登录,这里是需要判断
            }
        },
        {
            path: '/courseGM',
            component: courseGM,
            meta: {
                requireAuth: '' // 是否需要判断是否登录,这里是需要判断
            }
        },
        {
            path: '/course/courseDetail',
            component: courseDetail,
            meta: {
                requireAuth: '' // 是否需要判断是否登录,这里是需要判断
            }
        },
        {
            path: '/course/addCourse',
            component: addCourse,
            meta: {
                requireAuth: '' // 是否需要判断是否登录,这里是需要判断
            }
        },
        {
            path: '/course/addCourseE',
            component: addCourseE,
            meta: {
                requireAuth: '' // 是否需要判断是否登录,这里是需要判断
            }
        },
        {
            path: '/course/addCourseT',
            component: addCourseT,
            meta: {
                requireAuth: '' // 是否需要判断是否登录,这里是需要判断
            }
        },
        {
            path: '/course/addCourseGM',
            component: addCourseGM,
            meta: {
                requireAuth: '' // 是否需要判断是否登录,这里是需要判断
            }
        },
        {
            path: '/data',
            name: 'data',
            component: data,
            meta: {
                requireAuth: '' // 是否需要判断是否登录,这里是需要判断
            }
        },
        {
            path: '/dataGM',
            name: 'dataGM',
            component: dataGM,
            meta: {
                requireAuth: '' // 是否需要判断是否登录,这里是需要判断
            }
        }, {
            path: '/notice',
            name: 'notice',
            component: notice,
            meta: {
                requireAuth: '' // 是否需要判断是否登录,这里是需要判断
            }
        },
        {
            path: '/student',
            name: 'student',
            component: student,
            meta: {
                requireAuth: '' // 是否需要判断是否登录,这里是需要判断
            }
        },
        {
            path: '/studentGM',
            name: 'studentGM',
            component: studentGM,
            meta: {
                requireAuth: '' // 是否需要判断是否登录,这里是需要判断
            }
        },
        {
            path: '/ask',
            name: 'ask',
            component: ask,
            meta: {
                requireAuth: '' // 是否需要判断是否登录,这里是需要判断
            }
        },
        {
            path: '/ask/askList',
            name: 'askList',
            component: () =>
                import ('@/components/pages/askList'),
            meta: {}
        },
        {
            path: '/works',
            name: 'works',
            component: works,
            meta: {
                requireAuth: '' // 是否需要判断是否登录,这里是需要判断
            }
        },
        {
            path: '/studentWorks',
            name: 'studentWorks',
            component: studentWorks,
            meta: {
                requireAuth: '' // 是否需要判断是否登录,这里是需要判断
            }
        },
        {
            path: '/studentWorksDetail',
            name: 'studentWorksDetail',
            component: studentWorksDetail,
            meta: {
                requireAuth: '' // 是否需要判断是否登录,这里是需要判断
            }
        },
        {
            path: '/worksGM',
            name: 'worksGM',
            component: worksGM,
            meta: {
                requireAuth: '' // 是否需要判断是否登录,这里是需要判断
            }
        },
        {
            path: '/worksDetail',
            name: 'worksDetail',
            component: worksDetail,
            meta: {
                requireAuth: '' // 是否需要判断是否登录,这里是需要判断
            }
        },
        {
            path: '/library',
            name: 'library',
            component: library,
            meta: {
                requireAuth: '' // 是否需要判断是否登录,这里是需要判断
            }
        },
        {
            path: '/libraryGM',
            name: 'libraryGM',
            component: libraryGM,
            meta: {
                requireAuth: '' // 是否需要判断是否登录,这里是需要判断
            }
        },
        {
            path: '/login',
            name: 'login',
            component: login,
            meta: {
                requireAuth: '' // 不需要鉴权
            }
        },
        {
            path: '/note',
            name: 'note',
            component: note,
            meta: {
                requireAuth: '' // 不需要鉴权
            }
        },
        {
            path: '/Grid',
            name: 'Grid',
            component: Grid,
            meta: {
                requireAuth: '' // 不需要鉴权
            }
        },
        {
            path: '/demo',
            name: 'demo',
            component: demo,
            meta: {
                requireAuth: '' // 不需要鉴权
            }
        },
        {
            path: '/classRoom',
            name: 'classRoom',
            component: classRoom,
            meta: {
                requireAuth: '' // 不需要鉴权
            }
        },
        {
            path: '/liveRoom',
            name: 'liveRoom',
            component: liveRoom,
            meta: {
                requireAuth: '' // 不需要鉴权
            }
        }, {
            path: '/liveRoomKQ',
            name: 'liveRoomKQ',
            component: liveRoomKQ,
            meta: {
                requireAuth: '' // 不需要鉴权
            }
        },
        {
            path: '/addPPt',
            name: 'addPPt',
            component: addPPt,
            meta: {
                requireAuth: '' // 不需要鉴权
            }
        },
        {
            path: '/studyLibrary',
            name: 'studyLibrary',
            component: studyLibrary,
            meta: {
                requireAuth: '' // 不需要鉴权
            }
        },
        {
            path: '/evaluation',
            name: 'evaluation',
            component: evaluation,
            meta: {
                requireAuth: '' // 不需要鉴权
            }
        },
        {
            path: '/GridList',
            name: 'GridList',
            component: GridList,
            meta: {
                requireAuth: '' // 不需要鉴权
            }
        },
        {
            path: '/wordList',
            name: 'wordList',
            component: wordList,
            meta: {
                requireAuth: '' // 不需要鉴权
            }
        }, {
            path: '/demoPdf',
            name: 'demoPdf',
            component: demoPdf,
            meta: {
                requireAuth: '' // 不需要鉴权
            }
        }, {
            path: '/demoPdf2',
            name: 'demoPdf2',
            component: demoPdf2,
            meta: {
                requireAuth: '' // 不需要鉴权
            }
        }, {
            path: '/audioDemo',
            name: 'audioDemo',
            component: audioDemo,
            meta: {
                requireAuth: '' // 不需要鉴权
            }
        }, {
            path: '/Ttype',
            name: 'Ttype',
            component: Ttype,
            meta: {
                requireAuth: '' // 不需要鉴权
            }
        }, {
            path: '/TtypeGM',
            name: 'TtypeGM',
            component: TtypeGM,
            meta: {
                requireAuth: '' // 不需要鉴权
            }
        }, {
            path: '/Ttype2',
            name: 'Ttype2',
            component: Ttype2,
            meta: {
                requireAuth: '' // 不需要鉴权
            }
        }, {
            path: '/Ttype2S',
            name: 'Ttype2S',
            component: Ttype2S,
            meta: {
                requireAuth: '' // 不需要鉴权
            }
        }, {
            path: '/Ttype2Studio',
            name: 'Ttype2Studio',
            component: Ttype2Studio,
            meta: {
                requireAuth: '' // 不需要鉴权
            }
        }, {
            path: '/TtypeOrg',
            name: 'TtypeOrg',
            component: TtypeOrg,
            meta: {
                requireAuth: '' // 不需要鉴权
            }
        }, {
            path: '/banner',
            name: 'banner',
            component: banner,
            meta: {
                requireAuth: '' // 不需要鉴权
            }
        }, {
            path: '/CaseDesign',
            name: 'CaseDesign',
            component: CaseDesign,
            meta: {
                requireAuth: '' // 不需要鉴权
            }
        }, {
            path: '/CaseDesignS',
            name: 'CaseDesignS',
            component: CaseDesignS,
            meta: {
                requireAuth: '' // 不需要鉴权
            }
        }, {
            path: '/CaseDesignGM',
            name: 'CaseDesignGM',
            component: CaseDesignGM,
            meta: {
                requireAuth: '' // 不需要鉴权
            }
        }, {
            path: '/eventCenter',
            name: 'eventCenter',
            component: eventCenter,
            meta: {
                requireAuth: '' // 不需要鉴权
            }
        }, {
            path: '/addRace',
            name: 'addRace',
            component: addRace,
            meta: {
                requireAuth: '' // 不需要鉴权
            }
        }, {
            path: '/anliDetail',
            name: 'anliDetail',
            component: anliDetail,
            meta: {
                requireAuth: '' // 不需要鉴权
            }
        },
        {
            path: '/schoolGM',
            name: 'schoolGM',
            component: schoolGM,
            meta: {
                requireAuth: '' // 不需要鉴权
            }
        },
        {
            path: '/teacherGM',
            name: 'teacherGM',
            component: teacherGM,
            meta: {
                requireAuth: '' // 不需要鉴权
            }
        },
        {
            path: '/examineGM',
            name: 'examineGM',
            component: examineGM,
            meta: {
                requireAuth: '' // 不需要鉴权
            }
        },
        {
            path: '/noticeGM',
            name: 'noticeGM',
            component: noticeGM,
            meta: {
                requireAuth: '' // 不需要鉴权
            }
        },
        {
            path: '/tcData',
            name: 'tcData',
            component: tcData,
            meta: {
                requireAuth: '' // 不需要鉴权
            }
        },
        {
            path: '/tcSchool',
            name: 'tcSchool',
            component: tcSchool,
            meta: {
                requireAuth: '' // 不需要鉴权
            }
        },
        {
            path: '/tcStudent',
            name: 'tcStudent',
            component: tcStudent,
            meta: {
                requireAuth: '' // 不需要鉴权
            }
        },
        {
            path: '/tcTeacher',
            name: 'tcTeacher',
            component: tcTeacher,
            meta: {
                requireAuth: '' // 不需要鉴权
            }
        },
        {
            path: '/tcNotice',
            name: 'tcNotice',
            component: tcNotice,
            meta: {
                requireAuth: '' // 不需要鉴权
            }
        },
        {
            path: '/studioEvaluate',
            name: 'studioEvaluate',
            component: studioEvaluate,
            meta: {
                requireAuth: '' // 不需要鉴权
            }
        },
        {
            path: '/studioEvaBasicData',
            name: 'studioEvaBasicData',
            component: studioEvaBasicData,
            meta: {
                requireAuth: '' // 不需要鉴权
            }
        },
        {
            path: '/actLineChat',
            name: 'actLineChat',
            component: actLineChat,
            meta: {
                requireAuth: '' // 不需要鉴权
            }
        },
        {
            path: '/actTypeTable',
            name: 'actTypeTable',
            component: actTypeTable,
            meta: {
                requireAuth: '' // 不需要鉴权
            }
        },
        {
            path: '/worksReport',
            name: 'worksReport',
            component: worksReport,
            meta: {
                requireAuth: '' // 不需要鉴权
            }
        },
        {
            path: '/myReport',
            name: 'myReport',
            component: myReport,
            meta: {
                requireAuth: '' // 不需要鉴权
            }
        },
        {
            path: '/mrBasicData',
            name: 'mrBasicData',
            component: mrBasicData,
            meta: {
                requireAuth: '' // 不需要鉴权
            }
        },
        {
            path: '/mrOverPer',
            name: 'mrOverPer',
            component: mrOverPer,
            meta: {
                requireAuth: '' // 不需要鉴权
            }
        },
        {
            path: '/myCourseReport',
            name: 'myCourseReport',
            component: myCourseReport,
            meta: {
                requireAuth: '' // 不需要鉴权
            }
        },
        {
            path: '/courseEvaScore',
            name: 'courseEvaScore',
            component: courseEvaScore,
            meta: {
                requireAuth: '' // 不需要鉴权
            }
        },
        {
            path: '/mrLearnStatus',
            name: 'mrLearnStatus',
            component: mrLearnStatus,
            meta: {
                requireAuth: '' // 不需要鉴权
            }
        },
        {
            path: '/courseTypeAna',
            name: 'courseTypeAna',
            component: courseTypeAna,
            meta: {
                requireAuth: '' // 不需要鉴权
            }
        },
        {
            path: '/toolTypeAna',
            name: 'toolTypeAna',
            component: toolTypeAna,
            meta: {
                requireAuth: '' // 不需要鉴权
            }
        },
        {
            path: '/mrEva',
            name: 'mrEva',
            component: mrEva,
            meta: {
                requireAuth: '' // 不需要鉴权
            }
        },
        {
            path: '/inviteLogin',
            name: 'inviteLogin',
            component: inviteLogin,
            meta: {
                requireAuth: '' // 不需要鉴权
            }
        },
        {
            path: '/stReport',
            name: 'stReport',
            component: stReport,
            meta: {
                requireAuth: '' // 不需要鉴权
            }
        },
        {
            path: '/classReport',
            name: 'classReport',
            component: classReport,
            meta: {
                requireAuth: '' // 不需要鉴权
            }
        },
        {
            path: '/courseReport',
            name: 'courseReport',
            component: courseReport,
            meta: {
                requireAuth: '' // 不需要鉴权
            }
        },
        {
            path: '/evaReport',
            name: 'evaReport',
            component: evaReport,
            meta: {
                requireAuth: '' // 不需要鉴权
            }
        },
        {
            path: '/learnAna',
            name: 'learnAna',
            component: learnAna,
            meta: {
                requireAuth: '' // 不需要鉴权
            }
        },
        {
            path: '/modelReport',
            name: 'modelReport',
            component: modelReport,
            meta: {
                requireAuth: '' // 不需要鉴权
            }
        },
        {
            path: '/lookModel',
            name: 'lookModel',
            component: lookModel,
            meta: {
                requireAuth: '' // 不需要鉴权
            }
        },
        {
            path: '/teacherSource',
            name: 'teacherSource',
            component: teacherSource,
            meta: {
                requireAuth: '' // 不需要鉴权
            }
        },
        {
            path: '/dataBoard',
            name: 'dataBoard',
            component: dataBoard,
            meta: {
                requireAuth: '' // 不需要鉴权
            }
        },
        {
            path: '/dataBoardNew',
            name: 'dataBoardNew',
            component: dataBoardNew,
            meta: {
                requireAuth: '' // 不需要鉴权
            }
        },
        {
            path: '/dataBoardSies',
            name: 'dataBoardSies',
            component: dataBoardSies,
            meta: {
                requireAuth: '' // 不需要鉴权
            }
        },
        {
            path: '/synergyCourse',
            component: synergyCourse,
            meta: {
                requireAuth: '' // 是否需要判断是否登录,这里是需要判断
            }
        },
        {
            path: '/test',
            component: test,
            meta: {
                requireAuth: '' // 是否需要判断是否登录,这里是需要判断
            }
        },
        {
            path: '/testStudent',
            component: testStudent,
            meta: {
                requireAuth: '' // 是否需要判断是否登录,这里是需要判断
            }
        },
        {
            path: '/testPerson',
            component: testPerson,
            meta: {
                requireAuth: '' // 是否需要判断是否登录,这里是需要判断
            }
        },
        {
            path: '/doTest',
            component: doTest,
            meta: {
                requireAuth: '' // 是否需要判断是否登录,这里是需要判断
            }
        },
        {
            path: '/checkTest',
            component: checkTest,
            meta: {
                requireAuth: '' // 是否需要判断是否登录,这里是需要判断
            }
        },
        {
            path: '/checkTest2',
            component: checkTest2,
            meta: {
                requireAuth: '' // 是否需要判断是否登录,这里是需要判断
            }
        },
        {
            path: '/checkToTest',
            component: checkToTest,
            meta: {
                requireAuth: '' // 是否需要判断是否登录,这里是需要判断
            }
        },
        {
            path: '/addTest',
            component: addTest,
            meta: {
                requireAuth: '' // 是否需要判断是否登录,这里是需要判断
            }
        },
        {
            path: '/synergyCourse/add',
            component: addSynergyCourse,
            meta: {
                requireAuth: '' // 是否需要判断是否登录,这里是需要判断
            }
        },
        {
            path: '/trainCourse',
            component: trainCourse,
            meta: {
                requireAuth: '' // 是否需要判断是否登录,这里是需要判断
            }
        },
        {
            path: '/addTrainCourse',
            component: addTrainCourse,
            meta: {
                requireAuth: '' // 是否需要判断是否登录,这里是需要判断
            }
        },
        {
            path: '/addTrainCourseE',
            component: addTrainCourseE,
            meta: {
                requireAuth: '' // 是否需要判断是否登录,这里是需要判断
            }
        },
        {
            path: '/trainIndex',
            component: trainIndex,
            meta: {
                requireAuth: '' // 是否需要判断是否登录,这里是需要判断
            }
        },
        {
            path: '/courseIndex',
            component: courseIndex,
            meta: {
                requireAuth: '' // 是否需要判断是否登录,这里是需要判断
            }
        },
        {
            path: '/dataBoardTest',
            component: dataBoardTest,
            meta: {
                requireAuth: '' // 是否需要判断是否登录,这里是需要判断
            }
        }
    ]
})